> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Runtime Logs

> Get the runtime logs, as s3 objects, for a Kibo Hosted Headless application.
A Kibo site must be first linked to a headless hosted application before using this API.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json get /platform/appdev/headless-app/logs/runtime
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/headless-app/logs/runtime:
    get:
      tags:
        - HeadlessApp
      summary: Get Runtime Logs
      description: >-
        Get the runtime logs, as s3 objects, for a Kibo Hosted Headless
        application.

        A Kibo site must be first linked to a headless hosted application before
        using this API.
      parameters:
        - description: |-
            The optional date filter, in the format "yyyy-mm-dd-hh".
                        example usage:
                            for year 2024, datePrefix=2024
                            for first month of 2024, datePrefix=2024-01
                            for first day, first month of 2024, datePrefix=2024-01-01
          in: query
          name: prefix
          schema:
            type: string
        - description: >-
            The maximum number of records to list in a single response. defaults
            to 20, maximum is 100
          in: query
          name: maxResults
          schema:
            default: 300
            format: int32
            type: integer
        - description: A pagination token
          in: query
          name: nextToken
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeadlessAppRuntimeLogResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/HeadlessAppRuntimeLogResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/HeadlessAppRuntimeLogResponse'
          description: OK
components:
  schemas:
    HeadlessAppRuntimeLogResponse:
      description: Response object for looking up headless storefront runtime logs.
      properties:
        isTruncated:
          description: >-
            Flag to indicate if all results were returned. If IsTruncated is
            true, use NextToken to retrieve additional results.
          type: boolean
        logs:
          description: A list of items representing headless application build jobs.
          items:
            $ref: '#/components/schemas/HeadlessAppRuntimeLog'
          nullable: true
          type: array
        maxResults:
          description: The max result provided in runtime log lookup
          format: int32
          type: integer
        nextToken:
          description: >-
            A token used for paginating through runtime logs on subsequent
            requests.
          nullable: true
          type: string
        prefix:
          description: The prefix provided in runtime log lookup
          nullable: true
          type: string
      type: object
    HeadlessAppRuntimeLog:
      description: >-
        Response object representing a s3 object containing headless storefront
        runtime logs.
      properties:
        key:
          description: The key for the s3 log object.
          nullable: true
          type: string
        lastModified:
          description: The last modified datetime
          format: date-time
          type: string
        logUrl:
          description: The presigned URL to download the log collection, valid for 4 hours.
          nullable: true
          type: string
        size:
          description: The size of the log collection
          format: int64
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````